Index: Singular/hdegree.cc
===================================================================
--- Singular/hdegree.cc	(revision d86e64ab96a8a8f265a4d1b473857a697f643276)
+++ Singular/hdegree.cc	(revision 80ad5e767969bf7b39d2bf33f65964782429ecb1)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: hdegree.cc,v 1.10 1997-12-15 22:46:23 obachman Exp $ */
+/* $Id: hdegree.cc,v 1.11 1998-04-07 18:13:57 Singular Exp $ */
 /*
 *  ABSTRACT -  dimension, multiplicity, HC, kbase
@@ -73,5 +73,5 @@
   Exponent_t  mc;
   hexist = hInit(S, Q, &hNexist);
-  if (!hNexist)
+  if (hNexist==0)
     return pVariables;
   hwork = (scfmon)Alloc(hNexist * sizeof(scmon));
@@ -79,5 +79,5 @@
   hpure = (scmon)Alloc((1 + (pVariables * pVariables)) * sizeof(Exponent_t));
   mc = hisModule;
-  if (!mc)
+  if (mc==0)
   {
     hrad = hexist;
@@ -90,12 +90,12 @@
   loop
   {
-    if (mc)
+    if (mc!=0)
       hComp(hexist, hNexist, mc, hrad, &hNrad);
-    if (hNrad)
+    if (hNrad!=0)
     {
       hNvar = pVariables;
       hRadical(hrad, &hNrad, hNvar);
       hSupp(hrad, hNrad, hvar, &hNvar);
-      if (hNvar)
+      if (hNvar!=0)
       {
         memset(hpure, 0, (pVariables + 1) * sizeof(Exponent_t));
@@ -119,5 +119,5 @@
   Free((ADDRESS)hwork, hNexist * sizeof(scmon));
   hDelete(hexist, hNexist);
-  if (hisModule)
+  if (hisModule!=0)
     Free((ADDRESS)hrad, hNexist * sizeof(scmon));
   return pVariables - hCo;
@@ -139,12 +139,12 @@
     {
       hCo = dn;
-      for (iv=pVariables; iv; iv--)
-      {
-        if (pure[iv])
+      for (iv=pVariables; iv>0; iv--)
+      {
+        if (pure[iv]!=0)
           hInd[iv] = 0;
         else
           hInd[iv] = 1;
       }
-      if (Nrad)
+      if (Nrad!=0)
       {
         pn = *rad;
@@ -153,5 +153,5 @@
         {
           x = var[iv];
-          if (pn[x])
+          if (pn[x]!=0)
           {
             hInd[x] = 0;
@@ -169,5 +169,5 @@
   while(pure[var[iv]]) iv--;
   hStepR(rad, Nrad, var, iv, &rad0);
-  if (rad0)
+  if (rad0!=0)
   {
     iv--;
@@ -195,7 +195,7 @@
   {
     hCo = Npure + 1;
-    for (x=pVariables; x; x--)
-    {
-      if (pure[x])
+    for (x=pVariables; x>0; x--)
+    {
+      if (pure[x]!=0)
         hInd[x] = 0;
       else
@@ -265,5 +265,5 @@
   Free((ADDRESS)hwork, hNexist * sizeof(scmon));
   hDelete(hexist, hNexist);
-  if (hisModule)
+  if (hisModule!=0)
     Free((ADDRESS)hrad, hNexist * sizeof(scmon));
   return Set;
@@ -303,5 +303,5 @@
   for (iv=pVariables; iv!=0 ; iv--)
   {
-    if (pure[iv])
+    if (pure[iv]!=0)
       (*Set)[iv-1] = 0;
     else
@@ -331,5 +331,5 @@
         {
           x = var[iv];
-          if (pn[x])
+          if (pn[x]!=0)
           {
             pure[x] = 1;
@@ -350,5 +350,5 @@
     loop
     {
-      if(!pure[var[iv]])
+      if(pure[var[iv]]==0)
       {
         if(hNotZero(rad, Nrad, var, iv))
@@ -360,9 +360,9 @@
       }
       iv--;
-      if (!iv)
+      if (iv==0)
         return;
     }
   }
-  while(pure[var[iv]]) iv--;
+  while(pure[var[iv]]!=0) iv--;
   hStepR(rad, Nrad, var, iv, &rad0);
   iv--;
@@ -486,5 +486,5 @@
       for (iv=pVariables; iv; iv--)
       {
-        if (pure[iv])
+        if (pure[iv]!=0)
           (*Set)[iv-1] = 0;
         else
@@ -506,13 +506,13 @@
     if (dn > hCo)
     {
-      if (!Nrad)
+      if (Nrad==0)
         hCheckIndep(pure);
       else
       {
         pn = *rad;
-        for (iv = Nvar; iv; iv--)
+        for (iv = Nvar; iv>0; iv--)
         {
           x = var[iv];
-          if (pn[x])
+          if (pn[x]!=0)
           {
             pure[x] = 1;
@@ -526,5 +526,5 @@
   }
   iv = Nvar;
-  while(pure[var[iv]]) iv--;
+  while(pure[var[iv]]!=0) iv--;
   hStepR(rad, Nrad, var, iv, &rad0);
   iv--;
@@ -574,5 +574,5 @@
   hRadical(hrad, &hNrad, hNvar);
   hSupp(hrad, hNrad, hvar, &hNvar);
-  if (hNvar)
+  if (hNvar!=0)
   {
     hCo = hNvar;
@@ -582,5 +582,5 @@
     hDimSolve(hpure, hNpure, hrad, hNrad, hvar, hNvar);
   }
-  if (hCo && (hCo < pVariables))
+  if ((hCo!=0) && (hCo < pVariables))
   {
     hIndMult(hpure, hNpure, hrad, hNrad, hvar, hNvar);
@@ -649,10 +649,10 @@
   scmon pn;
   scfmon sn;
-  if (!iv)
+  if (iv==0)
     return pure[var[1]];
-  else if (!Nstc)
+  else if (Nstc==0)
   {
     sum = 1;
-    for (i = Nvar; i; i--)
+    for (i = Nvar; i>0; i--)
       sum *= pure[var[i]];
     return sum;
@@ -695,5 +695,5 @@
   for (i = 1; i <= pVariables; i++)
   {
-    if (pure[i])
+    if (pure[i]!=0)
     {
       i0++;
@@ -723,13 +723,13 @@
     if (dn == hCo)
     {
-      if (!Nrad)
+      if (Nrad==0)
         hProject(pure, hsel);
       else
       {
         pn = *rad;
-        for (iv = Nvar; iv; iv--)
+        for (iv = Nvar; iv>0; iv--)
         {
           x = var[iv];
-          if (pn[x])
+          if (pn[x]!=0)
           {
             pure[x] = 1;
@@ -750,5 +750,5 @@
     loop
     {
-      if(!pure[var[iv]])
+      if(pure[var[iv]]==0)
       {
         if(hNotZero(rad, Nrad, var, iv))
@@ -760,5 +760,5 @@
       }
       iv--;
-      if (!iv)
+      if (iv==0)
         return;
     }
@@ -793,5 +793,5 @@
   Exponent_t  mc;
   hexist = hInit(S, Q, &hNexist);
-  if (!hNexist)
+  if (hNexist==0)
   {
     hCo = 0;
@@ -806,5 +806,5 @@
   mc = hisModule;
   hrad = (scfmon)Alloc(hNexist * sizeof(scmon));
-  if (!mc)
+  if (mc==0)
   {
     memcpy(hrad, hexist, hNexist * sizeof(scmon));
@@ -820,5 +820,5 @@
   loop
   {
-    if (mc)
+    if (mc!=0)
     {
       hComp(hexist, hNexist, mc, hrad, &hNrad);
@@ -826,10 +826,10 @@
       memcpy(hstc, hrad, hNrad * sizeof(scmon));
     }
-    if (hNrad)
+    if (hNrad!=0)
     {
       hNvar = pVariables;
       hRadical(hrad, &hNrad, hNvar);
       hSupp(hrad, hNrad, hvar, &hNvar);
-      if (hNvar)
+      if (hNvar!=0)
       {
         hCo = hNvar;
@@ -850,9 +850,9 @@
       hMu = 0;
     }
-    if (hNvar && (hCo == di))
-    {
-      if (di && (di < pVariables))
+    if ((hNvar!=0) && (hCo == di))
+    {
+      if ((di!=0) && (di < pVariables))
         hDimMult(hpure, hNpure, hrad, hNrad, hvar, hNvar);
-      else if (!di)
+      else if (di==0)
         hMu++;
       else
